def errorHandling = { Closure c ->
    try {
        c()
    }
    catch (Exception e) {
        println "Closure handled error"
        e.printStackTrace()
        
        // Can throw as another type or handle some other way
        //throw new WrappedException(e)
    }
    finally {
        // cleanup here, close resources
    }
}

// Code with error handling
errorHandling {
    println new File("does_not_exist.txt").text
}