import groovy.sql.Sql

def sql = Sql.newInstance(
    "jdbc:derby://localhost:1527/bpidb",
    "usr", "usr", "org.apache.derby.jdbc.ClientDriver")

def time = System.currentTimeMillis() - 45000l
sql.eachRow("select * from QRTZ_TRIGGERS where NEXT_FIRE_TIME < ? AND TRIGGER_STATE != 'PAUSED'", [time]) {
    println "Trigger ${it.TRIGGER_NAME} appears to be hung."
    println it
}
println "done"