def printSum = { a, b -> println "Sum: " + (a + b) }
printSum(5, 7)

def printDiff = { a, b -> println "Difference: " + (a - b) }

def callWithClosure(closure) {
   print "Closure called from method, "
   closure(10, 5)
}

callWithClosure(printSum)
callWithClosure(printDiff)
callWithClosure {a, b ->
    println "Inline closure with $a and $b"
}